Name:		perl-Mail-SPF
Version: 	2.006
Release:	5.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Mail::SPF
URL: 		http://search.cpan.org/~jmehnle/
Source0: 	Mail-SPF-v%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl perl-Net-DNS perl-Module-Build perl-Net-DNS-Resolver-Programmable
Requires:	perl-version perl-NetAddr-IP perl-Net-DNS perl-URI perl-Error

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Mail::SPF is an object-oriented Perl implementation of the Sender Policy
Framework (SPF) e-mail sender authentication system.

%prep
%setup -q -n Mail-SPF-v%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README CHANGES
%{_sbindir}/spfd
%{_bindir}/spfquery
%dir %{perl_vendorlib}/Mail
%dir %{perl_vendorlib}/Mail/SPF
%dir %{perl_vendorlib}/Mail/SPF/Mech
%dir %{perl_vendorlib}/Mail/SPF/Mod
%dir %{perl_vendorlib}/Mail/SPF/v1
%dir %{perl_vendorlib}/Mail/SPF/v2
%{perl_vendorlib}/Mail/SPF.pm
%{perl_vendorlib}/Mail/SPF/Base.pm
%{perl_vendorlib}/Mail/SPF/Exception.pm
%{perl_vendorlib}/Mail/SPF/MacroString.pm
%{perl_vendorlib}/Mail/SPF/Mech.pm
%{perl_vendorlib}/Mail/SPF/Mech/A.pm
%{perl_vendorlib}/Mail/SPF/Mech/All.pm
%{perl_vendorlib}/Mail/SPF/Mech/Exists.pm
%{perl_vendorlib}/Mail/SPF/Mech/IP4.pm
%{perl_vendorlib}/Mail/SPF/Mech/IP6.pm
%{perl_vendorlib}/Mail/SPF/Mech/Include.pm
%{perl_vendorlib}/Mail/SPF/Mech/MX.pm
%{perl_vendorlib}/Mail/SPF/Mech/PTR.pm
%{perl_vendorlib}/Mail/SPF/Mod.pm
%{perl_vendorlib}/Mail/SPF/Mod/Exp.pm
%{perl_vendorlib}/Mail/SPF/Mod/Redirect.pm
%{perl_vendorlib}/Mail/SPF/Record.pm
%{perl_vendorlib}/Mail/SPF/Request.pm
%{perl_vendorlib}/Mail/SPF/Result.pm
%{perl_vendorlib}/Mail/SPF/SenderIPAddrMech.pm
%{perl_vendorlib}/Mail/SPF/Server.pm
%{perl_vendorlib}/Mail/SPF/Term.pm
%{perl_vendorlib}/Mail/SPF/Util.pm
%{perl_vendorlib}/Mail/SPF/v1/Record.pm
%{perl_vendorlib}/Mail/SPF/v2/Record.pm
%{_mandir}/man1/spfquery.1*
%{_mandir}/man3/Mail::SPF.3pm*
%{_mandir}/man3/Mail::SPF::Base.3pm*
%{_mandir}/man3/Mail::SPF::MacroString.3pm*
%{_mandir}/man3/Mail::SPF::Mech.3pm*
%{_mandir}/man3/Mail::SPF::Mech::A.3pm*
%{_mandir}/man3/Mail::SPF::Mech::All.3pm*
%{_mandir}/man3/Mail::SPF::Mech::Exists.3pm*
%{_mandir}/man3/Mail::SPF::Mech::IP4.3pm*
%{_mandir}/man3/Mail::SPF::Mech::IP6.3pm*
%{_mandir}/man3/Mail::SPF::Mech::Include.3pm*
%{_mandir}/man3/Mail::SPF::Mech::MX.3pm*
%{_mandir}/man3/Mail::SPF::Mech::PTR.3pm*
%{_mandir}/man3/Mail::SPF::Mod.3pm*
%{_mandir}/man3/Mail::SPF::Mod::Exp.3pm*
%{_mandir}/man3/Mail::SPF::Mod::Redirect.3pm*
%{_mandir}/man3/Mail::SPF::Record.3pm*
%{_mandir}/man3/Mail::SPF::Request.3pm*
%{_mandir}/man3/Mail::SPF::Result.3pm*
%{_mandir}/man3/Mail::SPF::SenderIPAddrMech.3pm*
%{_mandir}/man3/Mail::SPF::Server.3pm*
%{_mandir}/man3/Mail::SPF::Term.3pm*
%{_mandir}/man3/Mail::SPF::Util.3pm*
%{_mandir}/man3/Mail::SPF::v1::Record.3pm*
%{_mandir}/man3/Mail::SPF::v2::Record.3pm*

%changelog
* Thu Oct 16 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by spamassassin.
